# TokyoTyrant::copy

(PECL tokyo_tyrant >= 0.1.0)

TokyoTyrant::copy — Copies the database

### Description

public TokyoTyrant::copy ( string `$path` ) : TokyoTyrant

Makes a copy of the current database

### Parameters

`path`

  Path to where to copy the database. The user running the remote database must have a write access to the directory.

### Return Values

This method returns the current object and throws TokyoTyrantException on failure.

### Examples

Example #1 TokyoTyrant::copy() example

`<?php
$tt = new TokyoTyrant("localhost", 1978);
$tt->copy("/tmp/foobar.tct");
?>`

### See Also

- TokyoTyrant::restore() - Restore the database